package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumFreezeType {


    DEF(0, "正常"),
    YES(1, "冻结"),
    ;

    public static EnumFreezeType getEnum(Integer code) {
        for (EnumFreezeType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumFreezeType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
